4

Consider the following MWE (for lualatex):

\documentclass{article} 
\usepackage{etoolbox}
\usepackage{fontspec}
\usepackage{biblatex}
\usepackage{bigfoot}
\begin{document}
Test
\end{document}

Up until TL15 this wouldn't work without the etex package and \reserveinserts respectively. In TL15 etex doesn't exist anymore, but unfortunately, bigfoot seems to make problems. I always get the following error (I actually get it two times):

! No room for a new \count .
\ch@ck ...\else \errmessage {No room for a new #3}
                                                  \fi 
l.621 \newinsert\FN@savebox

? 

I guess the problem lies with bigfoot, but since \reserveinserts doesn't exist anymore, I don't know how to get around this.

EDIT: Here's the output of \listfiles:

article.cls    2014/09/29 v1.4h Standard LaTeX document class
  size10.clo    2014/09/29 v1.4h Standard LaTeX file (size option)
etoolbox.sty    2015/08/02 v2.2a e-TeX tools for LaTeX (JAW)
fontspec.sty    2015/09/24 v2.4e Font selection for XeLaTeX and LuaLaTeX
   expl3.sty    2015/10/14 v6210 L3 programming layer (loader) 
expl3-code.tex    2015/10/14 v6210 L3 programming layer 
l3unicode-data.def    2015/07/20 v5676 L3 Unicode data
l3pdfmode.def    2015/09/10 v5983 L3 Experimental driver: PDF mode
  xparse.sty    2015/10/14 v6210 L3 Experimental document command parser
luaotfload.sty    2014/08/10 v2.5-4 OpenType layout system
luatexbase.sty    2015/10/04 v1.3 luatexbase interface to LuaTeX 
ctablestack.sty    2015/10/01 v1.0 Catcode table stable support
ltluatex.tex    2015/10/02 v1.0e LuaTeX support for plain TeX (core) 
unicode-letters.def
fontspec-patches.sty    2015/09/24 v2.4e Font selection for XeLaTeX and LuaLaTeX

fontspec-luatex.sty    2015/09/24 v2.4e Font selection for XeLaTeX and LuaLaTeX
 fontenc.sty
  eu2enc.def    2010/05/27 v0.1h Experimental Unicode font encodings
  eu2lmr.fd    2009/10/30 v1.6 Font defs for Latin Modern
xunicode.sty    2011/09/09 v0.981 provides access to latin accents and many othe
r characters in Unicode lower plane
 eu2lmss.fd    2009/10/30 v1.6 Font defs for Latin Modern
graphicx.sty    2014/10/28 v1.0g Enhanced LaTeX Graphics (DPC,SPQR)
  keyval.sty    2014/10/28 v1.15 key=value parser (DPC)
graphics.sty    2014/10/28 v1.0p Standard LaTeX Graphics (DPC,SPQR)
    trig.sty    1999/03/16 v1.09 sin cos tan (DPC)
graphics.cfg    2010/04/23 v1.9 graphics configuration of TeX Live
  pdftex.def    2011/05/27 v0.06d Graphics/color for pdfTeX
infwarerr.sty    2010/04/08 v1.3 Providing info/warning/error messages (HO)
 ltxcmds.sty    2011/11/09 v1.22 LaTeX kernel commands for general use (HO)
fontspec.cfg
biblatex.sty    2015/04/19 v3.0 programmable bibliographies (PK/JW/AB)
biblatex2.sty    2015/04/19 v3.0 programmable bibliographies (biber) (PK/JW/AB)
kvoptions.sty    2011/06/30 v3.11 Key value format for package options (HO)
kvsetkeys.sty    2012/04/25 v1.16 Key value parser (HO)
etexcmds.sty    2011/02/16 v1.5 Avoid name clashes with e-TeX commands (HO)
ifluatex.sty    2010/03/01 v1.3 Provides the ifluatex switch (HO)
  logreq.sty    2010/08/04 v1.0 xml request logger
  logreq.def    2010/08/04 v1.0 logreq spec v1.0
  ifthen.sty    2014/09/29 v1.1c Standard LaTeX ifthen package (DPC)
     url.sty    2013/09/16  ver 3.4  Verb mode for urls, etc.
  blx-dm.def
biblatex-dm.cfg
blx-compat.def    2015/04/19 v3.0 biblatex compatibility (PK/JW/AB)
biblatex.def    
standard.bbx    2015/04/19 v3.0 biblatex bibliography style (PK/JW/AB)
 numeric.bbx    2015/04/19 v3.0 biblatex bibliography style (PK/JW/AB)
 numeric.cbx    2015/04/19 v3.0 biblatex citation style (PK/JW/AB)
biblatex.cfg    
 bigfoot.sty    2015/08/30 2.1 makes footnotes work
manyfoot.sty    2005/09/11 v1.10 Many Footnote Levels Package (NCC)
nccfoots.sty    2005/02/03 v1.2 NCC Footnotes Package (NCC)
  suffix.sty    2006/07/15 1.5a Variant command support
 perpage.sty    2014/10/25 2.0 Reset/sort counters per page
 english.lbx    2015/04/19 v3.0 biblatex localization (PK/JW/AB)
   t3cmr.fd    2001/12/31 TIPA font definitions
supp-pdf.mkii
pdftexcmds.sty    2011/11/29 v0.20 Utility functions of pdfTeX for LuaTeX (HO)
   ifpdf.sty    2011/01/30 v2.3 Provides the ifpdf switch (HO)
luatex-loader.sty    2010/03/09 v0.4 Lua module loader (HO)
epstopdf-base.sty    2010/02/09 v2.5 Base part for package epstopdf
  grfext.sty    2010/08/19 v1.1 Manage graphics extensions (HO)
kvdefinekeys.sty    2011/04/07 v1.3 Define keys (HO)
epstopdf-sys.cfg    2010/07/13 v1.3 Configuration of (r)epstopdf for TeX Live
  • The etex package is still about, but really should not be needed. Here, with an up-to-date TL15 I have no issues: can you check your file versions. – Joseph Wright Oct 23 '15 at 7:23
  • Actually, my setup should be up-to-date as well. I added the file list in the original post. – Simifilm Oct 23 '15 at 7:38
  • Could you also add the LaTeX2e banner line? (I have LaTeX2e <2015/10/01> patch level 1) – Joseph Wright Oct 23 '15 at 7:42
  • Here it says LaTeX2e <2015/01/01> patch level 2. – Simifilm Oct 23 '15 at 7:43
  • 1
    I was not aware of deliberately using an older kernel. I did a regular installation with MacTex and updated with the TeX Live Utility. How do I change the kernel or patch level? – Simifilm Oct 23 '15 at 7:48
3

This can occur if your kernel version is out-of-date: whilst the team have worked hard to make the changes 'transparent' there are situations where interactions between older kernels, ltluatex and third-party packages may be problematic.

With an up to date TeX system the source for the newest kernel will be available. Forcing a rebuild of the format depends on your TeX system. For TeX Live (including MacTeX) the easiest way is at the Terminal to do

sudo fmtutil-sys --refresh

For MiKTeX, from the MiKTeX Maintenance entry on the Start Menu, choose Settings then Update Formats.


Note that the etex package is still available so for older formats the approach

\RequirePackage{etex}
\reserveinserts{40}
...

will work.

  • This didn't change anything. Adding \RequirePackage[latest]{latexrelease} did the trick though. – Simifilm Oct 23 '15 at 8:38
  • @Simifilm In that case something is not up-to-date: the latest kernel release is 2015/10/01 PL 1 so unless you get that as a banner something is wrong. – Joseph Wright Oct 23 '15 at 9:24
  • I now completely deleted MacTeX and did a re-install – no success. I'm still at patch level 2. No idea what's going on here. – Simifilm Oct 24 '15 at 5:07
  • 1
    @Simifilm Depending on how you built your formats the files might be in ~/ Library/texlive/2015/texmf-var/: try deleting that directory. – Joseph Wright Oct 24 '15 at 6:11
  • @Simifilm Do you perhaps have a 'local' install of LaTeX? What does kpsewhich latex.ltx report, and if you look at that file what is the file version there? – Joseph Wright Oct 24 '15 at 6:12

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.